unit engine1;

interface

uses
  Classes;

type
  TAkce = (akNic, akPripoj, akOdpoj);

  TEngineThread = class(TThread)
  private
    FAkce: TAkce;
    { Private declarations }
  protected
    procedure Execute; override;
  public
    procedure PripojSe(sHost: string; iPort: integer);
    procedure OdpojSe;
  end;

implementation

uses SysUtils, vytah1;

{ Important: Methods and properties of objects in visual components can only be
  used in a method called using Synchronize, for example,

      Synchronize(UpdateCaption);

  and UpdateCaption could look like,

    procedure TEngineThread.UpdateCaption;
    begin
      Form1.Caption := 'Updated in a thread';
    end; }

{ TEngineThread }

procedure TEngineThread.Execute;
begin
  repeat
    if FAkce = akPripoj then
    begin
      FAkce := akNic;
      Form1.IdTCPClient1.Connect;
    end;
    if FAkce = akOdpoj then
    begin
      FAkce := akNic;
      Form1.IdTCPClient1.Connect;
    end;

  until Terminated;
  { Place thread code here }
end;

procedure TEngineThread.OdpojSe;
begin

end;

procedure TEngineThread.PripojSe(sHost: string; iPort: integer);
begin
  IdTCPClient1.Host := sHost;
  IdTCPClient1.Port := iPort;
  FAkce := akPripoj;
end;

end.
